#include <iostream>
#include <math.h>

using namespace std;

int n, x, niz[200000005], d1, d2;

int main(){
	cin >> n >> x;
	for(int i = 1; i <= n; i++) cin >> niz[i];
	if(x <= niz[1] && x <= niz[n]){
		cout << abs(x-niz[n]) << endl;
		return 0;
	}
	else if(x > niz[1] && x >= niz[n]){
		cout << abs(x-niz[1]) << endl;
		return 0;
	}
	else{
		d1 = abs(x-niz[1]);
		d2 = abs(x-niz[n]);
		if(d1 < d2) cout << d1+d1+d2 << endl;
		else cout << d2+d2+d1 << endl;
		return 0;
	}
}